Subject: Re: [Dime] Need to know the location of a roaming peer?

From: Qin Wu <[email-masked]>
Date: Wed, 16 Dec 2009 16:54:01 +0800

Hi, Sebastien:
I think the location of the roaming peer you refer is the current authenticator ID or NAS IP address. Right?

But if you refer to he location of the roaming peer as the user location like user IP address, I think location determining 
in Emergency service is quite different from ERP service. Because Emergency service
depends on other location technology like GPS, cell area based location, LBS capability to determine
the location of roaming peer. But in ERP service,  location of a roaming peer can not been provided to the server using ERP exchange.
Only NAS IP address can be provided to the server. Right?

In the emergency service, it seems to me the Diameter server should know the current location of new authenticator each time the peer moves to the new authenticator. The location requstor may be Public Safety Answering Point(PSAP) not the roaming peer. But I am not sure Diameter server described in
Diameter Parameter Query draft should be located in the visited realm or home realm. Maybe it is more appropriate to locate the Diameter server
in the local domain. Because the emergency service may be limited in scope to a single country or possibly a group of countries and  supported locally.
Anyway location of diameter server may depend on specific deployments.

Regards!
-Qin
----- Original Message ----- 
From: "Sebastien Decugis" <[email-masked]>
To: <[email-masked]>
Sent: Tuesday, November 17, 2009 1:21 PM
Subject: [Dime] Need to know the location of a roaming peer?

> Hello all,
> 
> During the last meeting (thanks Hannes and Jouni for the minutes) there
> was a discussion about the need (or absence of need) to notify the home
> domain when a peer changes its authenticator in a visited domain. During
> the discussion on ERP, my understanding of the conclusion was that we
> should do the re-authentication locally when possible in the visited
> domain, without going back to home domain. Then, in case new
> authorization attributes are needed, we have a separate exchange with
> the home realm to fetch these fresh authorization attributes, after the
> authentication is performed.
> 
> Later during the session, a remark on emergency services (related to
> Diameter Parameter Query draft if I am not mistaken) sent the question
> back on the table, highlighting that in some contexts we may want to
> query the home server for the current location of the user. I am
> wondering, if the peer can move without the home server being notified
> (we assume server-initiated messages are routed transparently to the
> correct recipient) then the design of such query mechanism will be
> affected and complexity added.

> I would like to ask the list if there is strong concerns with "hiding"
> the current authenticator of a roaming user to the home server, the
> result being that the home realm only knows the current location with a
> granularity of the realm (inter-realm handovers should still have to go
> to the home realm, AFAIU).
> 
> PS: I am wondering, in the context of emergency services, if we are
> really interested by the authenticator or by the point of attachment for
> the given peer, as I understand there is a difference in some deployment
> schemes...
> 
> Thank you for any comment,
> 
> Best regards,
> Sebastien.
> 
> -- 
> Sebastien Decugis
> Research fellow
> Network Architecture Group
> NICT (nict.go.jp)
> 
> _______________________________________________
> DiME mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dime